## seqan3 3.0.2~rc1+bf04354+ds

=== submodules/range-v3/CMakeLists.txt ===
# Copyright Eric Niebler 2014
# Copyright Gonzalo Brito Gadeschi 2014, 2017
# Copyright Louis Dionne 2015
# Copyright Casey Carter 2016
# Distributed under the Boost Software License, Version 1.0.
# (See accompanying file LICENSE.md or copy at http://boost.org/LICENSE_1_0.txt)

cmake_minimum_required(VERSION 3.6)
get_directory_property(is_subproject PARENT_DIRECTORY)

if(NOT is_subproject)
    set(is_standalone YES)
else()
    set(is_standalone NO)
endif()

project(Range-v3 CXX)

list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
set(CMAKE_EXPORT_COMPILE_COMMANDS ON) # Export compilation data-base
set_property(GLOBAL PROPERTY USE_FOLDERS ON)

add_library(range-v3-meta INTERFACE)
add_library(range-v3::meta ALIAS range-v3-meta)
target_include_directories(range-v3-meta INTERFACE $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include/>)
target_include_directories(range-v3-meta SYSTEM INTERFACE $<INSTALL_INTERFACE:$<INSTALL_PREFIX>/include>)
target_compile_options(range-v3-meta INTERFACE $<$<CXX_COMPILER_ID:MSVC>:/permissive->)

add_library(range-v3-concepts INTERFACE)
add_library(range-v3::concepts ALIAS range-v3-concepts)
target_include_directories(range-v3-concepts INTERFACE $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include/>)
target_include_directories(range-v3-concepts SYSTEM INTERFACE $<INSTALL_INTERFACE:$<INSTALL_PREFIX>/include>)
target_compile_options(range-v3-concepts INTERFACE $<$<CXX_COMPILER_ID:MSVC>:/permissive->)
target_link_libraries(range-v3-concepts INTERFACE range-v3::meta)

add_library(range-v3 INTERFACE)
add_library(range-v3::range-v3 ALIAS range-v3)
target_include_directories(range-v3 INTERFACE $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include/>)
target_include_directories(range-v3 SYSTEM INTERFACE $<INSTALL_INTERFACE:$<INSTALL_PREFIX>/include>)
target_compile_options(range-v3 INTERFACE $<$<CXX_COMPILER_ID:MSVC>:/permissive->)
target_link_libraries(range-v3 INTERFACE range-v3::concepts range-v3::meta)

function(rv3_add_test TESTNAME EXENAME FIRSTSOURCE)
  add_executable(${EXENAME} ${FIRSTSOURCE} ${ARGN})
  target_link_libraries(${EXENAME} range-v3)
  add_test(${TESTNAME} ${EXENAME})
endfunction(rv3_add_test)

include(ranges_options)
include(ranges_env)
include(ranges_flags)

if(RANGE_V3_DOCS)
  add_subdirectory(doc)
endif()

if(RANGE_V3_TESTS)
  include(CTest)
  add_subdirectory(test)
endif()

if(RANGE_V3_EXAMPLES)
  add_subdirectory(example)
endif()

if(RANGE_V3_PERF)
  include(gtest)
  include(gbenchmark)
  add_subdirectory(perf)
endif()

# Add header files as sources to fix MSVS 2017 not finding source during debugging
file(GLOB_RECURSE RANGE_V3_PUBLIC_HEADERS_ABSOLUTE
                  "${CMAKE_CURRENT_SOURCE_DIR}/include/*.hpp")
add_custom_target(headers SOURCES ${RANGE_V3_PUBLIC_HEADERS_ABSOLUTE})
set_target_properties(headers PROPERTIES FOLDER "header")

# Test all headers
if(RANGE_V3_HEADER_CHECKS)
  include(TestHeaders)

  file(GLOB_RECURSE RANGE_V3_PUBLIC_HEADERS
                    RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}/include"
                    "${CMAKE_CURRENT_SOURCE_DIR}/include/*.hpp")
  # These headers are not meant to be included directly:
  list(REMOVE_ITEM RANGE_V3_PUBLIC_HEADERS std/detail/associated_types.hpp)
  list(REMOVE_ITEM RANGE_V3_PUBLIC_HEADERS range/v3/detail/reenable_warnings.hpp)
  # Deprecated headers
  if(CMAKE_CXX_COMPILER_ID STREQUAL GNU)
    foreach(header ${RANGE_V3_PUBLIC_HEADERS})
      file(STRINGS "${CMAKE_CURRENT_SOURCE_DIR}/include/${header}" is_deprecated
           LIMIT_COUNT 1
           REGEX ".*RANGES_DEPRECATED_HEADER.*")
      if(is_deprecated)
        list(APPEND RANGE_V3_DEPRECATED_PUBLIC_HEADERS "${header}")
      endif()
    endforeach()
  endif()

  add_header_test(test.range.v3.headers
    EXCLUDE ${RANGE_V3_DEPRECATED_PUBLIC_HEADERS}
    HEADERS ${RANGE_V3_PUBLIC_HEADERS})
  target_link_libraries(test.range.v3.headers PRIVATE range-v3)
endif()

# Grab the range-v3 version numbers:
include(${CMAKE_CURRENT_SOURCE_DIR}/Version.cmake)
set(RANGE_V3_VERSION ${RANGE_V3_MAJOR}.${RANGE_V3_MINOR}.${RANGE_V3_PATCHLEVEL})

# Try to build a new version.hpp
configure_file(version.hpp.in include/range/v3/version.hpp @ONLY)
file(STRINGS ${CMAKE_CURRENT_BINARY_DIR}/include/range/v3/version.hpp RANGE_V3_OLD_VERSION_HPP)
file(STRINGS ${CMAKE_CURRENT_SOURCE_DIR}/include/range/v3/version.hpp RANGE_V3_NEW_VERSION_HPP)

# If the new version.hpp is materially different from the one in the source
# directory, update it, commit, and tag.
if(NOT RANGE_V3_NEW_VERSION_HPP STREQUAL RANGE_V3_OLD_VERSION_HPP)
  # Check that doc/release_notes.md and Version.cmake are the only changed file:
  execute_process(
    COMMAND ${GIT_EXECUTABLE} -C "${CMAKE_CURRENT_SOURCE_DIR}" status --porcelain -uno
    OUTPUT_VARIABLE RANGE_V3_GIT_STATUS
    OUTPUT_STRIP_TRAILING_WHITESPACE
  )
  string(REPLACE "\n" ";"  RANGE_V3_GIT_STATUS ${RANGE_V3_GIT_STATUS})
  if (NOT "x${RANGE_V3_GIT_STATUS}" STREQUAL "x M Version.cmake; M doc/release_notes.md")
    message(FATAL_ERROR "Cannot update version.hpp: range-v3 source directory has a dirty status")
  endif()
  file(
    COPY ${CMAKE_CURRENT_BINARY_DIR}/include/range/v3/version.hpp
    DESTINATION ${CMAKE_CURRENT_SOURCE_DIR}/include/range/v3
  )
  execute_process(
    COMMAND ${GIT_EXECUTABLE} -C "${CMAKE_CURRENT_SOURCE_DIR}" add -u
  )
  execute_process(
    COMMAND ${GIT_EXECUTABLE} -C "${CMAKE_CURRENT_SOURCE_DIR}" commit -m "${RANGE_V3_VERSION}"
  )
  execute_process(
    COMMAND ${GIT_EXECUTABLE} -C "${CMAKE_CURRENT_SOURCE_DIR}" tag -f -a "${RANGE_V3_VERSION}" -m "${RANGE_V3_VERSION}"
  )
  find_program(CONAN_EXECUTABLE NAMES conan conan.exe)
  if (NOT "x${CONAN_EXECUTABLE}" STREQUAL "xCONAN_EXECUTABLE-NOTFOUND")
    message(STATUS "Exporting conanfile for new version")
    execute_process(
      COMMAND ${CONAN_EXECUTABLE} create . range-v3/${RANGE_V3_VERSION}@ericniebler/stable
      WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
    )
  endif()
  message(STATUS "Version updated to ${RANGE_V3_VERSION}. Don't forget to:")
  message(STATUS "  git push origin <feature-branch>")
  message(STATUS "and (after that is merged to master) then:")
  message(STATUS "  conan create ${CMAKE_CURRENT_SOURCE_DIR} range-v3/${RANGE_V3_VERSION}@ericniebler/stable")
  message(STATUS "  conan upload --all range-v3/${RANGE_V3_VERSION}@ericniebler/stable")
endif()

include(CMakePackageConfigHelpers)

# write_basic_package_version_file(...) gained ARCH_INDEPENDENT in CMake 3.14.
# For CMake 3.6, this workaround makes the version file ARCH_INDEPENDENT
# by making CMAKE_SIZEOF_VOID_P empty.
set(OLD_CMAKE_SIZEOF_VOID_P ${CMAKE_SIZEOF_VOID_P})
set(CMAKE_SIZEOF_VOID_P "")
write_basic_package_version_file(
  ${CMAKE_CURRENT_BINARY_DIR}/range-v3-config-version.cmake
  VERSION ${RANGE_V3_VERSION}
  COMPATIBILITY ExactVersion
)
set(CMAKE_SIZEOF_VOID_P ${OLD_CMAKE_SIZEOF_VOID_P})

install(TARGETS range-v3-concepts range-v3-meta range-v3 EXPORT range-v3-targets DESTINATION lib)
install(EXPORT range-v3-targets FILE range-v3-targets.cmake DESTINATION lib/cmake/range-v3)
install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/range-v3-config-version.cmake
  cmake/range-v3-config.cmake
  DESTINATION lib/cmake/range-v3)
install(DIRECTORY include/ DESTINATION include FILES_MATCHING PATTERN "*")

export(EXPORT range-v3-targets FILE range-v3-config.cmake)

=== test/unit/CMakeLists.txt ===
# -----------------------------------------------------------------------------------------------------
# Copyright (c) 2006-2020, Knut Reinert & Freie Universität Berlin
# Copyright (c) 2016-2020, Knut Reinert & MPI für molekulare Genetik
# This file may be used, modified and/or redistributed under the terms of the 3-clause BSD-License
# shipped with this file and also available at: https://github.com/seqan/seqan3/blob/master/LICENSE.md
# -----------------------------------------------------------------------------------------------------

cmake_minimum_required (VERSION 3.7)
project (seqan3_test_unit CXX)

include (../seqan3-test.cmake)
include (GoogleTest OPTIONAL)

macro (seqan3_test unit_test_cpp)
    file (RELATIVE_PATH unit_test "${CMAKE_SOURCE_DIR}" "${CMAKE_CURRENT_LIST_DIR}/${unit_test_cpp}")
    seqan3_test_component (target "${unit_test}" TARGET_NAME)
    seqan3_test_component (test_name "${unit_test}" TEST_NAME)

    add_executable (${target} ${unit_test_cpp})
    target_link_libraries (${target} seqan3::test::unit)
    if (NOT CMAKE_VERSION VERSION_LESS 3.10) # cmake >= 3.10
        gtest_discover_tests(${target} TEST_PREFIX "${test_name}::" PROPERTIES TIMEOUT "30")
    else ()
        add_test (NAME "${test_name}" COMMAND ${target})
    endif ()

    unset (unit_test)
    unset (target)
    unset (test_name)
endmacro ()

seqan3_require_ccache ()
seqan3_require_test ()

add_subdirectories ()

=== submodules/range-v3/test/utility/CMakeLists.txt ===
set(CMAKE_FOLDER "${CMAKE_FOLDER}/utility")

rv3_add_test(test.utility.box utility.box box.cpp)
rv3_add_test(test.utility.concepts utility.concepts concepts.cpp)
rv3_add_test(test.utility.common_type utility.common_type common_type.cpp)
rv3_add_test(test.utility.functional utility.functional functional.cpp)
rv3_add_test(test.utility.swap utility.swap swap.cpp)
rv3_add_test(test.utility.variant utility.variant variant.cpp)
rv3_add_test(test.utility.meta utility.meta meta.cpp)
rv3_add_test(test.utility.scope_exit utility.scope_exit scope_exit.cpp)
rv3_add_test(test.utility.semiregular_box utility.semiregular_box semiregular_box.cpp)

=== test/unit/alignment/configuration/CMakeLists.txt ===
seqan3_test(align_config_band_test.cpp)
seqan3_test(align_config_aligned_ends_test.cpp)
seqan3_test(align_config_common_test.cpp)
seqan3_test(align_config_edit_test.cpp)
seqan3_test(align_config_gap_test.cpp)
seqan3_test(align_config_max_error_test.cpp)
seqan3_test(align_config_parallel_test.cpp)
seqan3_test(align_config_method_test.cpp)
seqan3_test(align_config_on_result_test.cpp)
seqan3_test(align_config_result_test.cpp)
seqan3_test(align_config_scoring_test.cpp)
seqan3_test(align_config_vectorise_test.cpp)

=== test/unit/search/configuration/CMakeLists.txt ===
seqan3_test(hit_test.cpp)
seqan3_test(parallel_test.cpp)

=== debian/changelog ===
seqan3 (3.0.2~rc1+bf04354+ds-1) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * Update patch headers
  * Package pre-release from upstream to fix gcc 10.2 FTBFS.
    Closes: #966270, #966433
  * debhelper-compat 13 (routine-update)
  * Switch to upstream's fork of range-v3

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 08 Sep 2020 14:59:35 +0100

seqan3 (3.0.1+ds-10) unstable; urgency=medium

  * Include patch from upstream for Doxygen 1.8.17 compatability. Closes: #959645

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 04 May 2020 13:43:35 +0200

seqan3 (3.0.1+ds-9) unstable; urgency=medium

  * Fix FTBFS with patch from upstream. Closes: #954589
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Wrap long lines in changelog entries: 3.0.0+ds2-4.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 25 Mar 2020 22:01:41 +0100

=== debian/control ===
Source: seqan3
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Michael R. Crusoe <crusoe@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               cmake,
               ninja-build,
               zlib1g-dev <!nocheck>,
               libbz2-dev <!nocheck>,
               libboost-dev <!nocheck>,
               libgtest-dev <!nocheck>,
               libcereal-dev <!nocheck>,
               libbenchmark-dev <!nocheck>,
               librange-v3-dev <!nocheck>,
               doxygen <!nodoc>,
               graphviz <!nodoc>,
               cppreference-doc-en-html <!nodoc>,
               texlive-latex-base <!nodoc>,
               ghostscript <!nodoc>,
               texlive-latex-extra <!nodoc>
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/seqan3
Vcs-Git: https://salsa.debian.org/med-team/seqan3.git
Homepage: http://www.seqan.de/
Rules-Requires-Root: no

Package: libseqan3-dev
Architecture: all
Section: libdevel
Depends: ${misc:Depends},
         zlib1g-dev,
         libbz2-dev,
         libcereal-dev
Description: C++ library for the analysis of biological sequences v3 (development)
 SeqAn is a C++ template library of efficient algorithms and data
 structures for the analysis of sequences with the focus on
 biological data. This library applies a unique generic design that
 guarantees high performance, generality, extensibility, and
 integration with other libraries. SeqAn is easy to use and
 simplifies the development of new software tools with a minimal loss
 of performance.
 .
 This package contains the developer files.

Package: seqan3-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Suggests: libseqan3-dev
Description: C++ library for the analysis of biological sequences v3 (documentation)
 SeqAn is a C++ template library of efficient algorithms and data
 structures for the analysis of sequences with the focus on
 biological data. This library applies a unique generic design that
 guarantees high performance, generality, extensibility, and
 integration with other libraries. SeqAn is easy to use and
 simplifies the development of new software tools with a minimal loss
 of performance.
 .
 This package contains the documentation and examples

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

export DH_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/default.mk
export HOME=$(CURDIR)/fakehome
export SEQAN3_NO_VERSION_CHECK=1

# Use the gold linker where we can
ifeq (,$(filter $(DEB_HOST_ARCH),hppa ia64 m68k riscv64 sh4))
export LD=ld.gold
DEB_CFLAGS_MAINT_APPEND+=-fuse-ld=gold
DEB_CXXFLAGS_MAINT_APPEND+=-fuse-ld=gold
endif

export DEB_CFLAGS_MAINT_APPEND+=-O3
export DEB_CXXFLAGS_MAINT_APPEND+=-DNDEBUG -O3 -std=c++17 -fconcepts

pkgdev=libseqan3-dev

%:
	dh $@

override_dh_auto_configure:
ifeq (,$(filter nocheck,$(DEB_BUILD_PROFILES)))
	dh_auto_configure --builddirectory=build_unit --sourcedirectory=test/unit --buildsystem=cmake+ninja -- -DCCACHE_PROGRAM:FILEPATH=
	dh_auto_configure --builddirectory=build_header --sourcedirectory=test/header --buildsystem=cmake+ninja -- -DCCACHE_PROGRAM:FILEPATH=
	dh_auto_configure --builddirectory=build_snippet --sourcedirectory=test/snippet --buildsystem=cmake+ninja -- -DCCACHE_PROGRAM:FILEPATH=
	dh_auto_configure --builddirectory=build_performance --sourcedirectory=test/performance --buildsystem=cmake+ninja -- -DCCACHE_PROGRAM:FILEPATH=
endif
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
	dh_auto_configure --builddirectory=build_documentation --sourcedirectory=test/documentation --buildsystem=cmake+ninja -- -DCCACHE_PROGRAM:FILEPATH=
endif

override_dh_auto_build:
ifeq (,$(filter nocheck,$(DEB_BUILD_PROFILES)))
	dh_auto_build --builddirectory=build_unit --sourcedirectory=test/unit --buildsystem=cmake+ninja
	dh_auto_build --builddirectory=build_header --sourcedirectory=test/header --buildsystem=cmake+ninja
	dh_auto_build --builddirectory=build_snippet --sourcedirectory=test/snippet --buildsystem=cmake+ninja
	dh_auto_build --builddirectory=build_performance --sourcedirectory=test/performance --buildsystem=cmake+ninja
endif
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
	dh_auto_build --builddirectory=build_documentation --sourcedirectory=test/documentation --buildsystem=cmake+ninja
endif

override_dh_auto_clean:
	dh_auto_clean --builddirectory=build_unit --sourcedirectory=test/unit --buildsystem=cmake+ninja || /bin/true
	dh_auto_clean --builddirectory=build_header --sourcedirectory=test/header --buildsystem=cmake+ninja || /bin/true
	dh_auto_clean --builddirectory=build_snippet --sourcedirectory=test/snippet --buildsystem=cmake+ninja || /bin/true
	dh_auto_clean --builddirectory=build_performance --sourcedirectory=test/performance --buildsystem=cmake+ninja || /bin/true
	dh_auto_clean --builddirectory=build_documentation --sourcedirectory=test/documentation --buildsystem=cmake+ninja || /bin/true

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_PROFILES)))
	cd build_unit && /usr/bin/cmake -E cmake_echo_color --switch= --cyan "Running tests..." \
		&& /usr/bin/ctest --force-new-ctest-process --output-on-failure -E version_check_
	dh_auto_test --builddirectory=build_header --sourcedirectory=test/header --buildsystem=cmake+ninja
	dh_auto_test --builddirectory=build_snippet --sourcedirectory=test/snippet --buildsystem=cmake+ninja
	dh_auto_test --builddirectory=build_performance --sourcedirectory=test/performance --buildsystem=cmake+ninja
endif
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
	echo skipping documentation build tests due to https://github.com/seqan/seqan3/issues/2011
	#dh_auto_test --builddirectory=build_documentation --sourcedirectory=test/documentation --buildsystem=cmake+ninja
endif
endif

override_dh_auto_install:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
	rm -Rf $(CURDIR)/debian/$(pkgdev)/usr/share/doc/seqan
endif

override_dh_installdocs:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
	dh_installdocs  --doc-main-package libseqan3-dev -pseqan3-doc
	dh_doxygen
endif

override_dh_install:
	dh_install
	if [ -d $(CURDIR)/debian/$(pkgdev) ] ; then \
	    find $(CURDIR)/debian/$(pkgdev) -type f -name LICENSE -delete ; \
	    find $(CURDIR)/debian/$(pkgdev) -type f -name license.txt -delete ; \
	    find $(CURDIR)/debian/$(pkgdev) -type f -name .gitignore -delete ; \
	fi

## seqan3 3.0.2~rc2+70dff0c+ds

=== test/performance/alignment/CMakeLists.txt ===
seqan3_benchmark(global_affine_alignment_benchmark.cpp)
seqan3_benchmark(global_affine_alignment_parallel_benchmark.cpp)
seqan3_benchmark(global_affine_alignment_simd_benchmark.cpp)
seqan3_benchmark(local_affine_alignment_benchmark.cpp)
seqan3_benchmark(edit_distance_unbanded_benchmark.cpp)

=== debian/changelog ===
seqan3 (3.0.2~rc2+70dff0c+ds-3) unstable; urgency=medium

  * Speed up autopkgtests by skipping the header tests, on the advice from
    upstream.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 01 Oct 2020 18:41:12 +0200

seqan3 (3.0.2~rc2+70dff0c+ds-2) unstable; urgency=medium

  * Set autopkgtest flags the same as the build

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 30 Sep 2020 16:57:16 +0200

seqan3 (3.0.2~rc2+70dff0c+ds-1) unstable; urgency=medium

  * New upstream pre-release.
  * Refresh patches.
  * Fix autopkgtests
  * Switch back to the Debian package of range-v3

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 29 Sep 2020 15:52:21 +0200

=== debian/control ===
--- 
+++ 
@@ -31,7 +31,8 @@
 Depends: ${misc:Depends},
          zlib1g-dev,
          libbz2-dev,
-         libcereal-dev
+         libcereal-dev,
+         librange-v3-dev
 Description: C++ library for the analysis of biological sequences v3 (development)
  SeqAn is a C++ template library of efficient algorithms and data
  structures for the analysis of sequences with the focus on

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,9 @@
 include /usr/share/dpkg/default.mk
 export HOME=$(CURDIR)/fakehome
 export SEQAN3_NO_VERSION_CHECK=1
+
+
+# Updating any build flags? Check debian/tests/run-tests as well
 
 # Use the gold linker where we can
 ifeq (,$(filter $(DEB_HOST_ARCH),hppa ia64 m68k riscv64 sh4))

## seqan3 3.0.2+ds

=== CMakeLists.txt ===
# -----------------------------------------------------------------------------------------------------
# Copyright (c) 2006-2020, Knut Reinert & Freie Universität Berlin
# Copyright (c) 2016-2020, Knut Reinert & MPI für molekulare Genetik
# This file may be used, modified and/or redistributed under the terms of the 3-clause BSD-License
# shipped with this file and also available at: https://github.com/seqan/seqan3/blob/master/LICENSE.md
# -----------------------------------------------------------------------------------------------------

# This file provides functionality common to the different test modules used by
# SeqAn3. To build tests, run cmake on one of the sub-folders in this directory
# which contain a CMakeLists.txt.

cmake_minimum_required (VERSION 3.4)

find_path (SEQAN3_MODULE_PATH "seqan3-config.cmake" HINTS "${CMAKE_CURRENT_LIST_DIR}/build_system/")
list (APPEND CMAKE_MODULE_PATH "${SEQAN3_MODULE_PATH}")

include (seqan3-config-version)

if (CMAKE_VERSION VERSION_LESS 3.12)
    project (seqan3 LANGUAGES CXX VERSION "${PACKAGE_VERSION}")
else ()
    project (
        seqan3 LANGUAGES CXX VERSION "${PACKAGE_VERSION}"
        DESCRIPTION "SeqAn3 -- the modern C++ library for sequence analysis" # since cmake 3.9
        HOMEPAGE_URL "https://github.com/seqan/seqan3" # since cmake 3.12
    )
endif ()

find_package (SeqAn3 3.0 REQUIRED HINTS ${SEQAN3_MODULE_PATH})

option(INSTALL_SEQAN3 "Enable installation of seqan3. (Projects embedding seqan3 may want to turn this OFF.)" ON)

if (INSTALL_SEQAN3)
    include (seqan3-install)
    include (seqan3-package)
endif ()

=== test/coverage/CMakeLists.txt ===
# -----------------------------------------------------------------------------------------------------
# Copyright (c) 2006-2020, Knut Reinert & Freie Universität Berlin
# Copyright (c) 2016-2020, Knut Reinert & MPI für molekulare Genetik
# This file may be used, modified and/or redistributed under the terms of the 3-clause BSD-License
# shipped with this file and also available at: https://github.com/seqan/seqan3/blob/master/LICENSE.md
# -----------------------------------------------------------------------------------------------------

cmake_minimum_required (VERSION 3.7)
project (seqan3_test_coverage CXX)

include (../seqan3-test.cmake)

if (CMAKE_BUILD_TYPE AND NOT ("${CMAKE_BUILD_TYPE}" STREQUAL "Debug"))
    message(WARNING "Coverage test must be build in debug mode [build type = ${CMAKE_BUILD_TYPE}]")
endif ()

find_program (LCOV_COMMAND  NAMES lcov lcov.bat lcov.exe lcov.perl)
find_program (GENHTML_COMMAND NAMES genhtml genhtml.perl genhtml.bat)

if (NOT LCOV_COMMAND)
    message(FATAL_ERROR "lcov not found! Aborting...")
endif ()

# Files which should not be included in the coverage report
set (TEST_COVERAGE_EXCLUDE_FILES
    "'/usr/*'"
    "'${SEQAN3_CLONE_DIR}/include/seqan3/contrib/*'"
    "'${SEQAN3_CLONE_DIR}/include/seqan3/std/*'"
    "'${SEQAN3_CLONE_DIR}/submodules/*'"
    "'${SEQAN3_CLONE_DIR}/test/unit/*'"
    "'${PROJECT_BINARY_DIR}/vendor/*'"
)
# Holds all target's defined by seqan3_test
set_property (GLOBAL PROPERTY GLOBAL_TEST_COVERAGE_ALL_TESTS "")

add_custom_command (
    OUTPUT ${PROJECT_BINARY_DIR}/seqan3_coverage
    # Cleanup lcov (resetting code coverage counters to zero)
    COMMAND ${LCOV_COMMAND} --directory ${PROJECT_BINARY_DIR} --zerocounters
    # Create baseline to make sure untouched files show up in the report
    COMMAND ${LCOV_COMMAND} --directory ${PROJECT_BINARY_DIR} --capture --initial --output-file ${PROJECT_BINARY_DIR}/seqan3_coverage.baseline

    # Run tests
    COMMAND ${CMAKE_CTEST_COMMAND}

    # Capturing lcov counters and generating report
    COMMAND ${LCOV_COMMAND} --directory ${PROJECT_BINARY_DIR} --capture --output-file ${PROJECT_BINARY_DIR}/seqan3_coverage.captured
    # merge baseline counters and captured counters
    COMMAND ${LCOV_COMMAND} -a ${PROJECT_BINARY_DIR}/seqan3_coverage.baseline -a ${PROJECT_BINARY_DIR}/seqan3_coverage.captured --output-file ${PROJECT_BINARY_DIR}/seqan3_coverage.total
    COMMAND ${LCOV_COMMAND} --remove ${PROJECT_BINARY_DIR}/seqan3_coverage.total ${TEST_COVERAGE_EXCLUDE_FILES} --output-file ${PROJECT_BINARY_DIR}/seqan3_coverage

    BYPRODUCTS seqan3_coverage.baseline seqan3_coverage.captured seqan3_coverage.total

    WORKING_DIRECTORY ${PROJECT_BINARY_DIR}
    COMMENT "Processing code coverage counters."
)
set_directory_properties(PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES "seqan3_coverage.baseline;seqan3_coverage.captured;seqan3_coverage.total")

add_custom_target (
    coverage ALL
    DEPENDS
    ${PROJECT_BINARY_DIR}/seqan3_coverage
)

add_custom_target (
    coverage_html
    COMMAND ${GENHTML_COMMAND} --highlight --legend --output-directory html ${PROJECT_BINARY_DIR}/seqan3_coverage
    WORKING_DIRECTORY ${PROJECT_BINARY_DIR}
    DEPENDS coverage
    COMMENT "Generate coverage report."
)

add_custom_command(
    TARGET coverage_html POST_BUILD
    COMMAND ;
    COMMENT "Open ${PROJECT_BINARY_DIR}/html/index.html in your browser to view the coverage report."
)

macro (seqan3_test unit_test_cpp)
    file (RELATIVE_PATH unit_test "${CMAKE_SOURCE_DIR}/../unit" "${CMAKE_CURRENT_LIST_DIR}/${unit_test_cpp}")
    seqan3_test_component (target "${unit_test}" TARGET_NAME)
    seqan3_test_component (test_name "${unit_test}" TEST_NAME)

    add_executable (${target} ${unit_test_cpp})
    target_link_libraries (${target} seqan3::test::coverage)
    add_test (NAME "${test_name}" COMMAND ${target})

    # any change of a target will invalidate the coverage result;
    # NOTE that this is a GLOBAL variable, because a normal
    # `set(GLOBAL_TEST_COVERAGE_ALL_TESTS)` would not propagate the result when
    # CMakeLists.txt goes out of scope due to a `add_subdirectory`
    set_property(GLOBAL APPEND PROPERTY GLOBAL_TEST_COVERAGE_ALL_TESTS ${target})

    unset (unit_test)
    unset (target)
    unset (test_name)
endmacro ()

seqan3_require_ccache ()
seqan3_require_test ()

# add all unit tests
add_subdirectories_of ("${CMAKE_CURRENT_SOURCE_DIR}/../unit")

# add collected test cases as dependency
get_property(TEST_COVERAGE_ALL_TESTS GLOBAL PROPERTY GLOBAL_TEST_COVERAGE_ALL_TESTS)
add_custom_command (
    OUTPUT ${PROJECT_BINARY_DIR}/seqan3_coverage
    DEPENDS ${TEST_COVERAGE_ALL_TESTS}
    APPEND
)

=== test/documentation/CMakeLists.txt ===
# Minimum cmake version
cmake_minimum_required(VERSION 3.7)

# Name of project
project(seqan3_documentation NONE)

### Find seqan3
include (../../build_system/seqan3-config-version.cmake)
set (SEQAN3_VERSION "${PACKAGE_VERSION}")

if (NOT EXISTS "${SEQAN3_INCLUDE_DIR}/seqan3/version.hpp")
    message (FATAL_ERROR "Could not find SeqAn3. Not building documentation.")
endif ()
message (STATUS "Found: ${SEQAN3_INCLUDE_DIR} (${SEQAN3_VERSION})")

set (SEQAN3_DOXYGEN_INPUT_DIR "${CMAKE_SOURCE_DIR}")

include (seqan3-doxygen.cmake)

### Enable testing
enable_testing()

# doxygen does not show any warnings (doxygen prints warnings / errors to cerr)
set (SEQAN3_DOXYGEN_FAIL_ON_WARNINGS "
    ${DOXYGEN_EXECUTABLE} > doxygen.cout 2> doxygen.cerr;
    cat \"doxygen.cerr\";
    test ! -s \"doxygen.cerr\"")

# We search the HTML output to ensure that no `requires` clauses are at wrong places.
set (SEQAN3_DOXYGEN_FAIL_ON_UNCOND_REQUIRES
     "! find . -not -name \"*_source.html\" -name \"*.html\" -print0 | xargs -0 grep \"requires\" | grep \"memname\"")

if (SEQAN3_USER_DOC)
    message (STATUS "Add user doc test.")
    add_test(NAME doc_usr_no_warnings_test
             COMMAND bash -c "${SEQAN3_DOXYGEN_FAIL_ON_WARNINGS}"
             WORKING_DIRECTORY ${PROJECT_BINARY_DIR}/doc_usr)

    add_test(NAME doc_usr_no_uncond_requires_test
             COMMAND bash -c "${SEQAN3_DOXYGEN_FAIL_ON_UNCOND_REQUIRES}"
             WORKING_DIRECTORY ${PROJECT_BINARY_DIR}/doc_usr)
endif ()

if (SEQAN3_DEV_DOC)
    message (STATUS "Add dev doc test.")
    add_test(NAME doc_dev_no_warnings_test
             COMMAND bash -c "${SEQAN3_DOXYGEN_FAIL_ON_WARNINGS}"
             WORKING_DIRECTORY ${PROJECT_BINARY_DIR}/doc_dev)

    add_test(NAME doc_dev_no_uncond_requires_test
             COMMAND bash -c "${SEQAN3_DOXYGEN_FAIL_ON_UNCOND_REQUIRES}"
             WORKING_DIRECTORY ${PROJECT_BINARY_DIR}/doc_dev)
endif ()

=== test/header/CMakeLists.txt ===
# -----------------------------------------------------------------------------------------------------
# Copyright (c) 2006-2020, Knut Reinert & Freie Universität Berlin
# Copyright (c) 2016-2020, Knut Reinert & MPI für molekulare Genetik
# This file may be used, modified and/or redistributed under the terms of the 3-clause BSD-License
# shipped with this file and also available at: https://github.com/seqan/seqan3/blob/master/LICENSE.md
# -----------------------------------------------------------------------------------------------------

cmake_minimum_required (VERSION 3.7)
project (seqan3_header_test CXX)

include (../seqan3-test.cmake)

option (SEQAN3_FULL_HEADER_TEST "Test seqan3 headers as well as the headers of external libraries" OFF)

# We compile each header twice in separate compilation units. Each alone is
# sufficient to test that the header is functional, but both are needed to check
# for link errors, which can happen if the header accidentally defines a
# variable, e.g. a global or class static member. Furthermore this tests that
# header guards are working by including the same header twice.
#
# example invocation:
#     seqan3_header_test (seqan3 "<path>/include/seqan3" "test.hpp|/folder/|test2.hpp")
#
# \param component        The component name, will create the target `${component}_header_test`
# \param header_base_path The base path to the header files
# \param exclude_regex    A regular expression on the header file paths that excludes them from the header test. For
#                         regex syntax see https://cmake.org/cmake/help/v3.15/command/string.html#regular-expressions.
#
# \sa Modified version from Bio-Formats
# https://github.com/openmicroscopy/bioformats/blob/d3bb33eeda23e81f78fd25f658bfc14a4363805f/cpp/cmake/HeaderTest.cmake#L81-L113
macro (seqan3_header_test component header_base_path exclude_regex)
    set (target "${component}_header_test")

    # finding all *.hpp files relative from the current directory (e.g. /test/)
    # The resulting list is normalized to `header_base_path` that means concatenating
    # "${header_base_path}/header_files[i]" will result in an absolute path to the file
    #
    # Example output:
    #   seqan3/alphabet/adaptation/all.hpp
    #   seqan3/alphabet/adaptation/char.hpp
    #   seqan3/alphabet/adaptation/concept.hpp
    #   seqan3/alphabet/adaptation/uint.hpp
    #   seqan3/alphabet/all.hpp
    #   seqan3/alphabet/dna5_detail.hpp <- will be filtered out
    #   ....
    seqan3_test_files (header_files "${header_base_path}" "*.hpp;*.h")

    # filter out headers
    if (NOT ";${exclude_regex};" STREQUAL ";;")
        list (FILTER header_files EXCLUDE REGEX "${exclude_regex}")
    endif()

    file (WRITE "${PROJECT_BINARY_DIR}/${target}.cpp" "")
    add_executable (${target} ${PROJECT_BINARY_DIR}/${target}.cpp)
    target_link_libraries (${target} seqan3::test::header)
    add_test (NAME "header/${target}" COMMAND ${target})

    foreach (header ${header_files})
        foreach (repeat 1 2)
            seqan3_test_component (header_test_name "${header}" TEST_NAME)
            seqan3_test_component (header_target_name "${header}" TARGET_UNIQUE_NAME)
            set (header_target_source "${PROJECT_BINARY_DIR}/${target}_files/${header_test_name}-${repeat}.cpp")
            set (header_target_name "${header_target_name}-${repeat}")
            set (header_target "${target}--${header_target_name}")

            string (REPLACE "-" "__" header_test_name_safe "${target}, ${header_target}")
            file (WRITE "${header_target_source}" "
#include <${header}>
#include <${header}>
#include <gtest/gtest.h>
#include <benchmark/benchmark.h>
TEST(${header_test_name_safe}) {}")

            # test that seqan3 headers include platform.hpp
            if ("${component}" MATCHES "seqan3")

                # exclude seqan3/std/* and seqan3/contrib/* from platform test
                if (NOT header MATCHES "seqan3/(std|contrib)/")
                    file (APPEND "${header_target_source}" "
#ifndef SEQAN3_DOXYGEN_ONLY
#error \"Your header '${header}' file is missing #include <seqan3/core/platform.hpp>\"
#endif")
                endif ()

                # seqan3/std/* must not include platform.hpp (and therefore any other seqan3 header)
                # See https://github.com/seqan/product_backlog/issues/135
                if (header MATCHES "seqan3/std/")
                    file (APPEND "${header_target_source}" "
#ifdef SEQAN3_DOXYGEN_ONLY
#error \"The standard header '${header}' file MUST NOT include any other seqan3 header (except for seqan3/contrib)\"
#endif")
                endif ()

                # test whether seqan3 has the visibility bug on lower gcc versions
                # https://github.com/seqan/seqan3/issues/1317
                file (APPEND "${header_target_source}" "
#include <seqan3/core/platform.hpp>
class A{ int i{5}; };

template <typename t>
SEQAN3_CONCEPT private_bug = requires(t a){a.i;};

static_assert(!private_bug<A>, \"See https://github.com/seqan/seqan3/issues/1317\");")
            endif ()

            add_library (${header_target} OBJECT "${header_target_source}")
            # NOTE: a simple target_link_libraries (${header_target} seqan3::test::header)
            # is not possible for OBJECT libraries before cmake 3.12
            if (CMAKE_VERSION VERSION_LESS 3.12)
                target_compile_options (${header_target} PRIVATE $<TARGET_PROPERTY:seqan3::test::header,INTERFACE_COMPILE_OPTIONS>)
                target_compile_definitions (${header_target} PRIVATE $<TARGET_PROPERTY:seqan3::test::header,INTERFACE_COMPILE_DEFINITIONS>)
                target_include_directories (${header_target} PRIVATE $<TARGET_PROPERTY:seqan3::test::header,INTERFACE_INCLUDE_DIRECTORIES>)
                add_dependencies (${header_target} gtest gbenchmark)
            else ()
                target_link_libraries (${header_target} seqan3::test::header)
            endif ()

            target_sources (${target} PRIVATE $<TARGET_OBJECTS:${header_target}>)
        endforeach ()
    endforeach ()

    unset (target)
    unset (header_files)
    unset (header_test_name)
    unset (header_test_name_safe)
    unset (header_target_name)
    unset (header_target_source)
    unset (header_target)
endmacro ()

seqan3_require_ccache ()
seqan3_require_benchmark ()
seqan3_require_test ()

# note: seqan3/std/* will not be tested, because the source files don't have any file extension
seqan3_header_test (seqan3 "${SEQAN3_CLONE_DIR}/include" "")
seqan3_header_test (seqan3_test "${SEQAN3_CLONE_DIR}/test/include" "")

if (SEQAN3_FULL_HEADER_TEST)

    # contains deprecated headers that produce an error when included
    seqan3_header_test (range-v3 "${SEQAN3_CLONE_DIR}/submodules/range-v3/include" "/detail/")
    target_compile_definitions (range-v3_header_test INTERFACE RANGES_DISABLE_DEPRECATED_WARNINGS=1)

    # not self-contained headers; error: extra ‘;’ [-Werror=pedantic]
    # seqan3_header_test (lemon "${SEQAN3_CLONE_DIR}/submodules/lemon/include" "")

    # not complete self-contained headers
    seqan3_header_test (cereal "${SEQAN3_CLONE_DIR}/submodules/cereal/include" "/external/|polymorphic_impl\.hpp")

    seqan3_header_test (sdsl-lite "${SEQAN3_CLONE_DIR}/submodules/sdsl-lite/include" "")

endif ()

=== test/performance/CMakeLists.txt ===
# -----------------------------------------------------------------------------------------------------
# Copyright (c) 2006-2020, Knut Reinert & Freie Universität Berlin
# Copyright (c) 2016-2020, Knut Reinert & MPI für molekulare Genetik
# This file may be used, modified and/or redistributed under the terms of the 3-clause BSD-License
# shipped with this file and also available at: https://github.com/seqan/seqan3/blob/master/LICENSE.md
# -----------------------------------------------------------------------------------------------------

cmake_minimum_required (VERSION 3.7)
project (seqan3_test_performance CXX)

include (../seqan3-test.cmake)

macro (seqan3_benchmark benchmark_cpp)
    file (RELATIVE_PATH benchmark "${CMAKE_SOURCE_DIR}" "${CMAKE_CURRENT_LIST_DIR}/${benchmark_cpp}")
    seqan3_test_component (target "${benchmark}" TARGET_NAME)
    seqan3_test_component (test_name "${benchmark}" TEST_NAME)

    add_executable (${target} ${benchmark_cpp})
    target_link_libraries (${target} seqan3::test::performance)
    add_test (NAME "${test_name}" COMMAND ${target})

    unset (benchmark)
    unset (target)
    unset (test_name)
endmacro ()

seqan3_require_ccache ()
seqan3_require_benchmark ()

add_subdirectories ()

=== test/unit/CMakeLists.txt ===
--- 
+++ 
@@ -11,6 +11,8 @@
 include (../seqan3-test.cmake)
 include (GoogleTest OPTIONAL)
 
+option (SEQAN3_VERBOSE_TESTS "Run each test case individually" ON)
+
 macro (seqan3_test unit_test_cpp)
     file (RELATIVE_PATH unit_test "${CMAKE_SOURCE_DIR}" "${CMAKE_CURRENT_LIST_DIR}/${unit_test_cpp}")
     seqan3_test_component (target "${unit_test}" TARGET_NAME)
@@ -18,7 +20,7 @@
 
     add_executable (${target} ${unit_test_cpp})
     target_link_libraries (${target} seqan3::test::unit)
-    if (NOT CMAKE_VERSION VERSION_LESS 3.10) # cmake >= 3.10
+    if (SEQAN3_VERBOSE_TESTS AND NOT CMAKE_VERSION VERSION_LESS 3.10) # cmake >= 3.10
         gtest_discover_tests(${target} TEST_PREFIX "${test_name}::" PROPERTIES TIMEOUT "30")
     else ()
         add_test (NAME "${test_name}" COMMAND ${target})

=== submodules/sdsl-lite/tutorial/CMakeLists.txt ===
set(sdsl_tutorials "")

file(GLOB tutorial_sources ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp)

include_directories(
	${CMAKE_CURRENT_BINARY_DIR}/../include
)

foreach(tutorial_source ${tutorial_sources}) 
	get_filename_component(tutorial_name ${tutorial_source} NAME_WE)	
	add_executable(${tutorial_name} ${tutorial_name}.cpp)
	list(APPEND sdsl_tutorials ${tutorial_name})
endforeach(tutorial_source)

add_custom_target(sdsl_tutorials DEPENDS ${sdsl_tutorials})

=== test/performance/alignment/CMakeLists.txt ===
--- 
+++ 
@@ -3,3 +3,9 @@
 seqan3_benchmark(global_affine_alignment_simd_benchmark.cpp)
 seqan3_benchmark(local_affine_alignment_benchmark.cpp)
 seqan3_benchmark(edit_distance_unbanded_benchmark.cpp)
+
+find_package(OpenMP)
+
+if (TARGET OpenMP::OpenMP_CXX)
+target_link_libraries(global_affine_alignment_parallel_benchmark OpenMP::OpenMP_CXX)
+endif()

=== test/performance/alphabet/CMakeLists.txt ===
seqan3_benchmark(alphabet_assign_char_benchmark.cpp)
seqan3_benchmark(alphabet_assign_rank_benchmark.cpp)
seqan3_benchmark(alphabet_to_char_benchmark.cpp)
seqan3_benchmark(alphabet_to_rank_benchmark.cpp)

=== test/performance/example/CMakeLists.txt ===

seqan3_benchmark(example_benchmark.cpp)

=== test/performance/io/CMakeLists.txt ===
seqan3_benchmark(format_fasta_benchmark.cpp)
seqan3_benchmark(format_fastq_benchmark.cpp)
seqan3_benchmark(format_sam_benchmark.cpp)
seqan3_benchmark(format_vienna_benchmark.cpp)
seqan3_benchmark(lowlevel_stream_input_benchmark.cpp)
seqan3_benchmark(lowlevel_stream_output_benchmark.cpp)
seqan3_benchmark(stream_input_benchmark.cpp)
seqan3_benchmark(stream_output_benchmark.cpp)

=== test/performance/range/CMakeLists.txt ===
add_subdirectories ()

seqan3_benchmark(container_push_back_benchmark.cpp)
seqan3_benchmark(container_seq_read_benchmark.cpp)
seqan3_benchmark(container_seq_write_benchmark.cpp)
seqan3_benchmark(gap_decorator_rand_read_benchmark.cpp)
seqan3_benchmark(gap_decorator_rand_write_benchmark.cpp)
seqan3_benchmark(gap_decorator_seq_read_benchmark.cpp)
seqan3_benchmark(gap_decorator_seq_write_benchmark.cpp)

=== debian/changelog ===
seqan3 (3.0.2+ds-9) unstable; urgency=medium

  * Team upload.
  * Make sure copyright file will be shipped in binary package
    Closes: #983828
  * Disable salsa-ci build for i386

 -- Andreas Tille <tille@debian.org>  Tue, 02 Mar 2021 12:45:35 +0100

seqan3 (3.0.2+ds-8) unstable; urgency=medium

  * Add missing g++ dependency to the autopkgtests.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 01 Jan 2021 13:35:51 +0100

seqan3 (3.0.2+ds-7) unstable; urgency=medium

  * Fix autopkgtests

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 31 Dec 2020 22:24:06 +0100

seqan3 (3.0.2+ds-6) unstable; urgency=medium

  * Try again with default gcc (gcc-10). Closes: #978517

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 30 Dec 2020 11:55:26 +0100

seqan3 (3.0.2+ds-5) unstable; urgency=medium

  * Team upload.

  [ Vagrant Cascadian ]
  * Remove log file in documentation which contains build timestamp
    Closes: #977171

  [ Andreas Tille ]
  * Standards-Version: 4.5.1 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 12 Dec 2020 18:52:29 +0100

seqan3 (3.0.2+ds-4) unstable; urgency=medium

  * Add patches to cope with googletest 1.10.0.20201025-1. Closes: #973001
  * Drop down to g++-9 for testing due to an ICE with g++-10 10.2.0-16:
    https://bugs.debian.org/973698
  * Fix for missing changelog

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 03 Nov 2020 17:38:50 +0100

seqan3 (3.0.2+ds-3) unstable; urgency=medium

  * debian/tests/*: better method of skipping tests on non-amd64.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 15 Oct 2020 14:19:51 +0200

seqan3 (3.0.2+ds-2) unstable; urgency=medium

  * debian/tests/control: Only run the tests on amd64 due to compilation time

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 14 Oct 2020 11:33:48 +0200

seqan3 (3.0.2+ds-1) unstable; urgency=medium

  * debian/watch: adapt to new upstream naming convention
  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 13 Oct 2020 13:37:55 +0200

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Build-Depends: debhelper-compat (= 13),
                cmake,
                ninja-build,
+# update debian/{rules,tests/{control,run-tests}} as well, when changing these
                zlib1g-dev <!nocheck>,
                libbz2-dev <!nocheck>,
                libboost-dev <!nocheck>,
@@ -19,7 +20,7 @@
                texlive-latex-base <!nodoc>,
                ghostscript <!nodoc>,
                texlive-latex-extra <!nodoc>
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/seqan3
 Vcs-Git: https://salsa.debian.org/med-team/seqan3.git
 Homepage: http://www.seqan.de/

=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 endif
 
 export DEB_CFLAGS_MAINT_APPEND+=-O3
-export DEB_CXXFLAGS_MAINT_APPEND+=-DNDEBUG -O3 -std=c++17 -fconcepts
+export DEB_CXXFLAGS_MAINT_APPEND+=-DNDEBUG -O3
 
 pkgdev=libseqan3-dev
 
@@ -40,7 +40,8 @@
 override_dh_auto_build:
 ifeq (,$(filter nocheck,$(DEB_BUILD_PROFILES)))
 	dh_auto_build --builddirectory=build_unit --sourcedirectory=test/unit --buildsystem=cmake+ninja
-	dh_auto_build --builddirectory=build_header --sourcedirectory=test/header --buildsystem=cmake+ninja
+	#dh_auto_build --builddirectory=build_header --sourcedirectory=test/header --buildsystem=cmake+ninja
+	# not on g++-9 https://github.com/seqan/seqan3/issues/1317#issuecomment-721066568
 	dh_auto_build --builddirectory=build_snippet --sourcedirectory=test/snippet --buildsystem=cmake+ninja
 	dh_auto_build --builddirectory=build_performance --sourcedirectory=test/performance --buildsystem=cmake+ninja
 endif
@@ -59,14 +60,15 @@
 ifeq (,$(filter nocheck,$(DEB_BUILD_PROFILES)))
 	cd build_unit && /usr/bin/cmake -E cmake_echo_color --switch= --cyan "Running tests..." \
 		&& /usr/bin/ctest --force-new-ctest-process --output-on-failure -E version_check_
-	dh_auto_test --builddirectory=build_header --sourcedirectory=test/header --buildsystem=cmake+ninja
+	#dh_auto_test --builddirectory=build_header --sourcedirectory=test/header --buildsystem=cmake+ninja
+	# not on g++-9 https://github.com/seqan/seqan3/issues/1317#issuecomment-721066568
 	dh_auto_test --builddirectory=build_snippet --sourcedirectory=test/snippet --buildsystem=cmake+ninja
 	dh_auto_test --builddirectory=build_performance --sourcedirectory=test/performance --buildsystem=cmake+ninja
 endif
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
-	echo skipping documentation build tests due to https://github.com/seqan/seqan3/issues/2011
 	#dh_auto_test --builddirectory=build_documentation --sourcedirectory=test/documentation --buildsystem=cmake+ninja
+	# not working with doxygen 1.8.20
 endif
 endif
 
@@ -78,8 +80,13 @@
 override_dh_installdocs:
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
 	dh_installdocs  --doc-main-package libseqan3-dev -pseqan3-doc
+	dh_installdocs  --doc-main-package libseqan3-dev -plibseqan3-dev
 	dh_doxygen
+else
+	dh_installdocs
 endif
+	# Remove log file which embeds timestamps
+	rm -f $(CURDIR)/debian/seqan3-doc/usr/share/doc/libseqan3-dev/html/_formulas.log
 
 override_dh_install:
 	dh_install

=== debian/tests/control ===
Tests: run-tests
Depends: @, gcc, g++, cmake, libboost-dev, libgtest-dev, quilt, zlib1g-dev, libbz2-dev, libbenchmark-dev, librange-v3-dev, dpkg-dev
# update debian/{control,rules,tests/run-tests} as well, when changing these
Restrictions: allow-stderr, skippable

=== debian/watch ===
version=4
opts="repacksuffix=+ds,dversionmangle=s/\+dfsg//g,compression=xz,dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//,repack" \
  https://github.com/seqan/seqan3/releases .*/seqan3-([.\d]+)-Source\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## seqan3 3.0.3+ds

=== debian/changelog ===
seqan3 (3.0.3+ds-1) unstable; urgency=medium

  * Release to unstable.
  * Standards-Version: 4.6.0 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 13 Oct 2021 11:43:44 +0200

seqan3 (3.0.3+ds-1~0exp) experimental; urgency=medium

  [ Andreas Tille ]
  * Make sure copyright file will be shipped in binary package
    Closes: #983828

  [ Michael R. Crusoe ]
  * New upstream version
  * Freshen patches

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 13 Oct 2021 11:31:01 +0200

## seqan3 3.1.0%2Bds

=== test/performance/alignment/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,7 @@
+seqan3_benchmark(global_affine_alignment_banded_simd_benchmark.cpp)
 seqan3_benchmark(global_affine_alignment_benchmark.cpp)
 seqan3_benchmark(global_affine_alignment_parallel_benchmark.cpp)
+seqan3_benchmark(global_affine_alignment_protein_simd_benchmark.cpp)
 seqan3_benchmark(global_affine_alignment_simd_benchmark.cpp)
 seqan3_benchmark(local_affine_alignment_benchmark.cpp)
 seqan3_benchmark(edit_distance_unbanded_benchmark.cpp)

=== test/performance/alphabet/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,5 @@
+add_subdirectories ()
+
 seqan3_benchmark(alphabet_assign_char_benchmark.cpp)
 seqan3_benchmark(alphabet_assign_rank_benchmark.cpp)
 seqan3_benchmark(alphabet_to_char_benchmark.cpp)

=== test/performance/io/detail/CMakeLists.txt ===
seqan3_benchmark(view_take_until_benchmark.cpp)

=== test/unit/alignment/decorator/CMakeLists.txt ===
seqan3_test(gap_decorator_test.cpp)

=== test/unit/utility/views/CMakeLists.txt ===
add_subdirectories()

seqan3_test(convert_test.cpp)
seqan3_test(deep_test.cpp)
seqan3_test(elements_test.cpp)
seqan3_test(enforce_random_access_test.cpp)
seqan3_test(interleave_test.cpp)
seqan3_test(pairwise_combine_test.cpp)
seqan3_test(repeat_n_test.cpp)
seqan3_test(repeat_test.cpp)
seqan3_test(single_pass_input_test.cpp)
seqan3_test(slice_test.cpp)
seqan3_test(type_reduce_test.cpp)
seqan3_test(zip_test.cpp)

=== test/unit/core/algorithm/detail/CMakeLists.txt ===
seqan3_test(algorithm_executor_blocking_test.cpp)
seqan3_test(execution_handler_sequential_test.cpp)
seqan3_test(execution_handler_parallel_test.cpp)
